function [] = buttonCopyOffsets(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui;

%% Save Applied state
artoa.controller.edit.offsets.saveAppliedState();

%% Get selected index
index = artoaGui.editOffsets.comboboxOffsetToApplied.Value;

%% Copy selected offset columns to Applied columns

% get measured as default
offset = artoaWorkspace.editOffsets.offsets{:, 'OffsetStart'};
drift = artoaWorkspace.editOffsets.offsets{:, 'Drift'};

% store float in table
if strcmp(artoaGui.editOffsets.comboboxOffsetToApplied.String{index}, 'Empirical')
    offset = artoaWorkspace.editOffsets.offsets{:, 'EmpiricalOffset'};
    drift = artoaWorkspace.editOffsets.offsets{:, 'EmpiricalDrift'};
end
if strcmp(artoaGui.editOffsets.comboboxOffsetToApplied.String{index}, 'Optimum')
    offset = artoaWorkspace.editOffsets.offsets{:, 'OptimumTotalOffset'};
    drift = artoaWorkspace.editOffsets.offsets{:, 'OptimumTotalDrift'};
end
artoaWorkspace.editOffsets.offsets{:, 'AppliedOffset'} = offset;
artoaWorkspace.editOffsets.offsets{:, 'AppliedDrift'} = drift;

%% Soundspeed 
if strcmp(artoaGui.editOffsets.comboboxOffsetToApplied.String{index}, 'Measured')
    artoaWorkspace.editOffsets.soundspeed.Applied(1) = artoaWorkspace.editOffsets.soundspeed.Measured(1);
end
if strcmp(artoaGui.editOffsets.comboboxOffsetToApplied.String{index}, 'Optimum')
    artoaWorkspace.editOffsets.soundspeed.Applied(1) = artoaWorkspace.editOffsets.soundspeed.Optimum(1);
end

%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end

