function [isLoaded] = loadEtopoFile(pLatLimit, pLonLimit)
%LOADETOPOFILE Summary of this function goes here
%   Detailed explanation goes here

global artoaDataInput artoaConfig;

isLoaded = false;

if nargin ~= 2
    pLatLimit = [-90, 0];
    pLonLimit = [-180, 180];
end

if artoa.data.hasMember(artoaConfig, 'files', 'etopo') ...
        & isfile(artoaConfig.files.etopo)
    artoaDataInput.etopo = struct();
    [artoaDataInput.etopo.Z, artoaDataInput.etopo.refvec] = etopo( ...
        artoaConfig.files.etopo, ...
        1, ...
        pLatLimit, ...
        pLonLimit ...
        );
    isLoaded = true;
else
    warning('ETOPO file has not been found! Please download the file at http://cromwell.marine.unc.edu/data/long_bay/etopo/etopo1_bed_c.flt and set etopo parameter in the files section in your artoa.ini');
end

end