function [] = reloadRfb(~, ~)
%LOADRFB Creates a file selection dialog and reads the file into memory.

global artoaDataInput;

%% Check if path is available
if ~isfield(artoaDataInput, 'path_rfb')
    error([mfilename ': No rfb file available, please load it manually.']);
end

%% Initialize variables
artoaDataInput.rfb = false;

%% Check if file exists
if ~isfile(artoaDataInput.path_rfb)
    error([mfilename ': Selected file ' filepath ' is not a file! Please try again!']);
end

%% Close all windows
artoa.controller.edit.pressure.close();
artoa.controller.edit.temperature.close();
artoa.controller.edit.timeOfArrival.close();
artoa.controller.track.trajectoryOutput.close();

%% Load file into memory
artoaDataInput.rfb = artoa.load.rfb(artoaDataInput.path_rfb);

%% Update workspace
artoa.controller.initializeArtoa4();
artoa.controller.copyRfbToWorkspace();

%% Initialize tracking parameter
artoa.controller.track.parameter.initialize(true);
artoa.controller.track.parameter.updateGui();
%% Initialize offsets
artoa.controller.edit.offsets.initialize(true);
artoa.controller.edit.offsets.updateGui();

%% Calculate soundspeed
artoa.controller.edit.offsets.updateMeasuredSoundspeed();

%% Update menu buttons
artoa.controller.updateMenuButtons();

%% Update status text in main window
artoa.controller.main.updateLoadedFloatInformation();

end

