function sbdmsg = readSBDmsg(infi)

% Read data from SBD file 
%

% Optimare Sensorsysteme, 21.10.2010 M.Busack

% VERSION = '$Id: CTD2awi.m 701 2010-10-21 10:00:00Z michael $';



% Open file for reading
fid=fopen(infi,'r');

% Read first header byte : crc_status
sbdmsg.crc_status = fread(fid,1,'uchar');

% Read next : checksum
sbdmsg.checksum = fread(fid,1,'uint16');

% Read next : mtmsn
sbdmsg.mtmsn = fread(fid,1,'uchar');

% Read next : elementry message number
sbdmsg.elementary_num = fread(fid,1,'uchar');

% Read next : total message number
sbdmsg.total_num = fread(fid,1,'uchar');

% Read next : device/data type
device_data = fread(fid,1,'uchar');
[sbdmsg.device,sbdmsg.data,sbdmsg.status] = nemo.optimare.cnv.devicedata(device_data);

% Read next : profile number LSB
sbdmsg.profilenumber_lsb = fread(fid,1,'uchar');

% Read rest of file and store to 'udata' and 'sdata' array
offset = ftell(fid);
sbdmsg.udata = fread(fid,inf,'uchar');
fseek(fid,offset,'bof');   %  OB   what is this good for?
sbdmsg.sdata = fread(fid,inf,'schar');
sbdmsg.ldata = ftell(fid) - offset;

sbdmsg.sbdfilename=infi;
[~, filename, ~] = fileparts(infi);
splitted_file = strsplit(filename, '_');
sbdmsg.imei = str2num(splitted_file{1});
sbdmsg.momsn = str2num(splitted_file{2});


% Close file
fclose(fid);


end
