function [ profile, index ] = find( p_float, p_profile_number )
%FIND Searches the profile with p_profile_number in the given float.
%   Returns the profile and its index in the p_float structure.
%   If not found, profile contains false.

index = cellfun(@(x) x.PROFILE_TECHNICAL_DATA.xmit_profile_number == p_profile_number, p_float);
if (~any(index))
    profile = false;
    return
elseif (sum(index) > 1)
    disp(['Multiple profiles found: ' index]);
    profile = false;
    return
end

profile = p_float{index};

end

