function [profile] = findByDatevec(pProfiles, pDatevec)
%FINDBYTIMESTAMP Finds the profile next to the timestamp
%   To find it, the SECOND_ORDER_INFORMATION.best_guess_datevec is being
%   used.

timeDifferences = cellfun(@differenceCalculation, pProfiles);
% get the index of the minimum
[~, minimum] = min(timeDifferences);

profile = pProfiles{minimum};

    function d = differenceCalculation(x)
        d = abs(etime( ...
            x.SECOND_ORDER_INFORMATION.best_guess_datevec, ...
            pDatevec ...
            ));
    end

end

