function [ boolean ] = update_nemo_data_mat( p_nemo_data_filename, p_updated_floats )
%UPDATE_NEMO_DATA_MAT Summary of this function goes here
%   Detailed explanation goes here

%% Initialize return variable
boolean = false;

%% Parameter check
if ~ischar(p_nemo_data_filename) || ~iscell(p_updated_floats)
    disp([mfilename 'Please check input parameter!']);
    return
end

%% Load mat file
if exist(p_nemo_data_filename, 'file') == 2
    n = load(p_nemo_data_filename);
    nemo_data = n.nemo_data;
    clear n
else
    nemo_data = {};
end

%% Replace updated floats in nemo data
for i = 1:length(p_updated_floats)
    [~, index] = nemo.float.find(nemo_data, p_updated_floats{1}{1}.FLOAT_IDENTIFICATION.float_serial_number);
    if index == 0 % float is not present
        nemo_data{end + 1} = p_updated_floats{1};
    else
        nemo_data{index} = p_updated_floats{1};
        p_updated_floats(1) = [];
    end
end

%% Sort floats by serial number

nemo_data = nemo.sort_data_by_float_serial(nemo_data);

%% Save to file
save(p_nemo_data_filename, 'nemo_data');

boolean = true;

end

